org.eclipse.gmt.modisco.infra.facet.core.extensions

## Interface RefreshStrategy

Deprecated.
Replaced by EMF Facet

    @Deprecated
    public interface RefreshStrategy

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`java.util.Collection<EObject>` `findElementsImpactedFromChange(EObject eObject, Notification msg)` Deprecated. This method must compute and return the list of elements for which a Facet may have changed.
`boolean` `isApplicableTo(Facet facet)` Deprecated. Whether the RefreshStrategy will be called when the given Facet is applied.

### Method Detail

#### findElementsImpactedFromChange

    java.util.Collection<EObject> findElementsImpactedFromChange(EObject eObject,
                                                                 Notification msg)

Deprecated.
This method must compute and return the list of elements for which a Facet may have changed. Since this method will be called for each change in the model, it should be optimized to do the minimum amount of computation possible while still returning an accurate result.

Parameters:
  `eObject` - an EObject that changed
  `msg` - the associated change notification
Returns:
  the list of impacted EObjects

#### isApplicableTo

    boolean isApplicableTo(Facet facet)

Deprecated.
Whether the RefreshStrategy will be called when the given Facet is applied.